# -*- coding: utf-8 -*-
from ppms.migration.packet import *
from . import DEFAULT_CUSTOMIZING_DEPENDENCY


class PortInterfaceSanityCheck(SQLPacket):
    '''Port a new sanity check regarding the child_when_invalid parameter'''
    version = 1
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 12515

    fname = 'wi12515_child_when_invalid_sanity.sql'

    def get_dependencies(self):
        return DEFAULT_CUSTOMIZING_DEPENDENCY

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.fname)

        return self.success()
